package com.example.chat.dao;

import com.example.chat.dao.mybatis.MybatisSingleton;
import com.example.chat.entity.User;
import org.apache.ibatis.session.SqlSession;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

@Component
public class Test01 implements CommandLineRunner {


    @Override
    public void run(String... args) throws Exception {
        while (true) {
            SqlSession sqlSession = MybatisSingleton.getSqlSessionFactory().openSession();
            User user = sqlSession.selectOne("dao.Login.getUser", "123");
            if (user != null) {
                System.out.println(user);
            }
            sqlSession.close();
            System.out.println("sleep");
            TimeUnit.MINUTES.sleep(10);
        }
    }
}
