package com.example.chat.dao.redis;

import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.data.redis.core.ValueOperations;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.concurrent.TimeUnit;

@Repository
public class TokenRedis implements RedisUtil {

    @Resource
    StringRedisTemplate stringRedisTemplate;

    @Override
    public void addRedis(String key, String value) {
        ValueOperations<String, String> valueOperations = stringRedisTemplate.opsForValue();
        valueOperations.set(key, value, 60, TimeUnit.MINUTES);
    }

    @Override
    public void delRedis(String key) {

    }

    @Override
    public String getRedis(String key) {
        return stringRedisTemplate.opsForValue().get(key);
    }
}
